resource "digitalocean_droplet" "bridge-0" {
  name = "bridge-0"

  image = data.digitalocean_image.nixos_base.id 
  region = "nyc3"
  size = "s-1vcpu-1gb"

  ssh_keys = [data.digitalocean_ssh_key.mops.id]
}

module "deploy_nixos_bridge" {
  source = "github.com/tweag/terraform-nixos//deploy_nixos?ref=d055d2180da230e47ba9082fc53a8b7d1fadbc43"

  nixos_config = "../nixos_configs/bridge.nix"

  target_user = "root"
  target_host = digitalocean_droplet.bridge-0.ipv4_address

  triggers = {
    // Also re-deploy whenever the VM is re-created
    instance_id = digitalocean_droplet.bridge-0.id
  }
}
